Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 are not available through the deprecated `MBeanHome` interface.)

## weblogic.security.providers.saml.registry
Interface SAMLRelyingPartyRegistryMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, ExportMBean, ImportMBean, ListerMBean, NameListerMBean, ProviderMBean, SAMLPartnerRegistryMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

All Known Subinterfaces:
  SAMLCredentialMapperV2MBean

public interface SAMLRelyingPartyRegistryMBean
extends weblogic.management.commo.StandardInterface, weblogic.descriptor.DescriptorBean, SAMLPartnerRegistryMBean

No description provided.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `addRelyingParty(weblogic.security.providers.saml.registry.SAMLRelyingParty relyingParty)` No description provided.
`String` | `getName()` The name of this configuration.
`weblogic.security.providers.saml.registry.SAMLRelyingParty` | `getRelyingParty(String partnerId)` No description provided.
`String` | `listRelyingParties(String partnerIdWildcard, int maxToReturn)` No description provided.
`weblogic.security.providers.saml.registry.SAMLRelyingParty` | `newRelyingParty()` No description provided.
`boolean` | `relyingPartyExists(String partnerId)` No description provided.
`void` | `removeRelyingParty(String partnerId)` No description provided.
`void` | `updateRelyingParty(weblogic.security.providers.saml.registry.SAMLRelyingParty relyingParty)` No description provided.

Methods inherited from interface weblogic.management.commo.StandardInterface
`setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Methods inherited from interface weblogic.security.providers.saml.registry.SAMLPartnerRegistryMBean
`certificateExists, copyToDER, copyToPEM, getCertificate, getSupportedExportConstraints, getSupportedExportFormats, getSupportedImportConstraints, getSupportedImportFormats, listCertificates, registerCertificate, unregisterCertificate`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getDescription, getRealm, getVersion`

Methods inherited from interface weblogic.management.security.ImportMBean
`importData`

Methods inherited from interface weblogic.management.security.ExportMBean
`exportData`

Methods inherited from interface weblogic.management.utils.NameListerMBean
`getCurrentName`

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Method Detail

### addRelyingParty

    public void addRelyingParty(weblogic.security.providers.saml.registry.SAMLRelyingParty relyingParty)
                         throws weblogic.management.utils.InvalidParameterException,
                                weblogic.management.utils.CreateException

  No description provided.

  Parameters:
    `relyingParty` - - The new relying party to add.
  Throws:
    `weblogic.management.utils.InvalidParameterException`
    `weblogic.management.utils.CreateException`

### getName

    public String getName()

  Description copied from interface: `ProviderMBean`
  The name of this configuration. WebLogic Server uses an MBean to implement and persist the configuration.

  Specified by:
    `getName` in interface `weblogic.management.commo.StandardInterface`
  Default value:
    "SAMLRelyingPartyRegistry"
  A dynamic MBean attribute.
    false

### getRelyingParty

    public weblogic.security.providers.saml.registry.SAMLRelyingParty getRelyingParty(String partnerId)
                                                                               throws weblogic.management.utils.NotFoundException,
                                                                                      weblogic.management.utils.InvalidParameterException

  No description provided.

  Parameters:
    `partnerId` - - The partnerId of the relying party to return.
  Throws:
    `weblogic.management.utils.NotFoundException`
    `weblogic.management.utils.InvalidParameterException`

### listRelyingParties

    public String listRelyingParties(String partnerIdWildcard,
                                     int maxToReturn)
                              throws weblogic.management.utils.InvalidCursorException,
                                     weblogic.management.utils.InvalidParameterException

  No description provided.

  Parameters:
    `partnerIdWildcard` - - A wild card used to select partnerIds. It supports three formats: "*" matches all partnerIds. "foo*" matches all partnerIds starting with the string "foo". "foo" matches the partnerId "foo" only. The matches are case-insensitive.
    `maxToReturn` - - The maximum number of partnerIds this method may return. If there are more matches than this maximum, then the returned results are arbitrary because this method does not sort the results. Set this parameter to zero to return all matching aliases.
  Throws:
    `weblogic.management.utils.InvalidCursorException`
    `weblogic.management.utils.InvalidParameterException`

### newRelyingParty

    public weblogic.security.providers.saml.registry.SAMLRelyingParty newRelyingParty()

  No description provided.

### relyingPartyExists

    public boolean relyingPartyExists(String partnerId)
                               throws weblogic.management.utils.InvalidParameterException

  No description provided.

  Parameters:
    `partnerId` - - The partnerId of the relying party.
  Throws:
    `weblogic.management.utils.InvalidParameterException`

### removeRelyingParty

    public void removeRelyingParty(String partnerId)
                            throws weblogic.management.utils.NotFoundException,
                                   weblogic.management.utils.InvalidParameterException

  No description provided.

  Parameters:
    `partnerId` - - The partnerId of the relying party to remove.
  Throws:
    `weblogic.management.utils.NotFoundException`
    `weblogic.management.utils.InvalidParameterException`

### updateRelyingParty

    public void updateRelyingParty(weblogic.security.providers.saml.registry.SAMLRelyingParty relyingParty)
                            throws weblogic.management.utils.NotFoundException,
                                   weblogic.management.utils.InvalidParameterException

  No description provided.

  Parameters:
    `relyingParty` - - The relying party to update.
  Throws:
    `weblogic.management.utils.NotFoundException`
    `weblogic.management.utils.InvalidParameterException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD